# webscraping-ai
A client for https://webscraping.ai API. It provides Chrome JS rendering, rotating proxies and HTML parsing for web scraping.

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/webscraping-ai/webscraping-ai-python.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/webscraping-ai/webscraping-ai-python.git`)

Then import the package:
```python
import webscraping_ai
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import webscraping_ai
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import webscraping_ai
from webscraping_ai.rest import ApiException
from pprint import pprint

configuration = webscraping_ai.Configuration()
# Configure API key authorization: api_key
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'

# Defining host is optional and default to https://webscraping.ai/api
configuration.host = "https://webscraping.ai/api"
# Enter a context with an instance of the API client
with webscraping_ai.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = webscraping_ai.HtmlApi(api_client)
    url = 'https://example.com' # str | URL of the page to get
selector = 'html' # str | CSS selector to get a part of the page (null by default, returns whole page HTML) (optional)
outer_html = false # bool | Return outer HTML of the selected element (false by default, returns inner HTML) (optional)
proxy = 'US' # str | Proxy country code, for geotargeting (US by default) (optional)
disable_js = false # bool | Disable JS execution (false by default) (optional)
inline_css = false # bool | Inline included CSS files to make page viewable on other domains (false by default) (optional)

    try:
        # Get page HTML by URL (renders JS in Chrome and uses rotating proxies)
        api_response = api_instance.get_page(url, selector=selector, outer_html=outer_html, proxy=proxy, disable_js=disable_js, inline_css=inline_css)
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling HtmlApi->get_page: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *https://webscraping.ai/api*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*HtmlApi* | [**get_page**](docs/HtmlApi.md#get_page) | **GET** / | Get page HTML by URL (renders JS in Chrome and uses rotating proxies)


## Documentation For Models

 - [ScrappedPage](docs/ScrappedPage.md)


## Documentation For Authorization


## api_key

- **Type**: API key
- **API key parameter name**: api_key
- **Location**: URL query string


## Author




